# ENV['RACK_ENV'] = "test"
# ENV['SV_BASIC_AUTH_USER'], ENV['SV_BASIC_AUTH_PASSWORD'] = "test", "test"
%w(RACK_ENV SV_BASIC_AUTH_USER SV_BASIC_AUTH_PASSWORD SV_SESSION_SECRET).each do |e|
  ENV[e] = "test"
end

require 'minitest/autorun'
require 'minitest/rg'
require 'rack/test'
require "sequel"

class Minitest::Spec
  def run(*args, &block)
    Sequel::Model.db.transaction(:rollback=>:always, :auto_savepoint=>true){super}
  end
end

DB = Sequel.connect("sqlite://test.db")

SV_APP = Rack::Builder.parse_file("#{File.dirname(__FILE__)}/../config.ru").first
Schueler.unrestrict_primary_key
Lehrer.unrestrict_primary_key

module SpecHelper
  include Rack::Test::Methods
  def app
    SV_APP
  end

  def session
    last_request.env['rack.session']
  end
end
